php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #25435 can't configure --with-openssl=path
Submitted: 2003-09-08 11:07 UTC Modified: 2003-09-08 11:29 UTC
From: chris at andrews dot com Assigned:
Status: Not a bug Package: *Configuration Issues
PHP Version: 4.3.3 OS: Cobalt Raq4i (linux)
Private report: No CVE-ID: None
 [2003-09-08 11:07 UTC] chris at andrews dot com
Description:
------------
Updating from 4.06 to 4.3.3. I downloaded php-4.3.3, and when configuring included:

--with-openssl=/usr/sbin/openssl

The configuring seemed to go well except for one thing, I get:

---
checking for OpenSSL support... yes
configure: error: Cannot find OpenSSL's <evp.h>
---

I have OpenSSL 0.9.6 on the server, tried using shorter path (/usr), same problem.  Path is correct.

I have searched forums and have found others having this same problem, but could not find any answers/fixes to problem.



Reproduce code:
---------------
-

Expected result:
----------------
-

Actual result:
--------------
checking for OpenSSL support... yes
configure: error: Cannot find OpenSSL's <evp.h>


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2003-09-08 11:29 UTC] sniper@php.net
Sorry, but your problem does not imply a bug in PHP itself.  For a
list of more appropriate places to ask for help using PHP, please
visit http://www.php.net/support.php as this bug system is not the
appropriate forum for asking support questions. 

Thank you for your interest in PHP.

You either don't have some dev-package installed, or you're doing something else wrong. There is no bug here.

 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Mon Aug 15 16:05:46 2022 UTC